# frozen_string_literal: true
require 'yard'
require 'yard/rake/yardoc_task'

namespace :doc do
  YARD::Rake::YardocTask.new :generate

  desc 'Run server watching file changes and updating docs'
  task :server do
    # require 'yard/cli/server'
    # server = YARD::Cli::Server.new
    # server.run('--reload', '--cache')
    sh 'bin/yard', 'server', '--reload', '--cache'
  end

  desc 'Generate YARD documentation & open it'
  task open: :doc do
    sh 'open', 'doc/index.html'
  end
end

task doc: 'doc:generate'
task generate: :doc
